Perform survival analysis on user satisfaction data
Closed, ResolvedPublic4 Story Points

Description

Okay, (the collective) we designed a schema, implemented it, and started collecting the data. Initial looks into it suggest the schema is valid -- in other words, doesn't introduce a sampling bias. If that is the case, we need to analyze the session lengths that we're logging. Perform standard survival analysis on the checkins in the TestSearchUserSatisfaction2 schema.

Related Objects

Ironholds updated the task description. (Show Details)
Ironholds raised the priority of this task from to Needs Triage.
Ironholds added a subscriber: Ironholds.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 11 2015, 2:41 PM
mpopov updated the task description. (Show Details)
mpopov set Security to None.
mpopov claimed this task.
mpopov edited a custom field.
mpopov moved this task from Backlog to In progress on the Discovery-Analysis (Current work) board.
mpopov added a subscriber: mpopov.
This comment was removed by mpopov.
mpopov added a subscriber: Deskana.Sep 15 2015, 4:29 AM

Coming soon after I get some rest: the answer to the question "Do enwiki users stay on pages longer than users on other wikis?" *dramatic music*

Review:

  1. We probably want to dig in more what the old and new EL schemas do and did.
  2. "and then later we would use statistical methodology for dealing with right-censored data." I don't know what this means, and I work here ;p.
  3. "bug (introduced on September 10th, 2015) in the Event Logging (EL) system" is all link. Shorter link?
  4. "whether were differences" - "whether there were differences"
  5. There's kind of a lot of TLAs in this. Could we define terms and then either use the full names or the abbreviations but not both?

Everything else looks good!

Deskana closed this task as Resolved.Sep 24 2015, 4:06 AM
Deskana moved this task from Done to Resolved on the Discovery-Analysis (Current work) board.